local MINOR_VERSION = tonumber(("$Revision: 12 $"):match("%d+"))
HitsMode5 = LibStub("AceAddon-3.0"):NewAddon("HitsMode5", "AceConsole-3.0", "AceEvent-3.0", "AceTimer-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("HitsMode5")
local HitsMode5 = HitsMode5
local ldb = LibStub:GetLibrary("LibDataBroker-1.1")
local dataobj = ldb:NewDataObject("HitsMode5", {label = "HitsMode5", type = "data source", icon = "Interface\\Icons\\Ability_CriticalStrike", text = ""})




--[[
      CONSTANTS ----------------------------------------------------------------------------------------------------------------
  ]]

local NUM_HELPARTICLES = 1



--[[
      CONFIGURATION ------------------------------------------------------------------------------------------------------------
  ]]
local options = {
	name = "HitsMode5",
	handler = HitsMode5,
	type = "group",
	args = {
		header = {
			type = "header",
			name = "HitsMode|cff3355dd5|r r|cff20ff20" .. MINOR_VERSION .. "|r"
		},
		desc = {
			type = "description",
			name = "Written by Allara (Draenor-US)"
		},
		help = {
			type = "execute",
			name = "Help",
			func = function()
				InterfaceOptionsFrame:Hide()
				ToggleHelpFrame()
				HitsMode5:ScheduleTimer("CheckHelpLoaded", 1)
			end
		}
	},
}



--[[
      HELP SYSTEM --------------------------------------------------------------------------------------------------------------
  ]]

do
	local i
	for i = 1, NUM_HELPARTICLES do
		HelpLib.AddQuestion({
			q = L["help_question_"..i],
			a = L["help_answer_"..i],
			cat = "HitsMode5",
		});
	end
end

function HitsMode5:CheckHelpLoaded()
 if (KBSetup_IsLoaded()) then
  KnowledgeBaseFrameEditBox:SetText("")
  UIDropDownMenu_SetSelectedName(KnowledgeBaseFrameCategoryDropDown, "HitsMode5")
  KnowledgeBaseFrame_Search(1)
 else
		self:ScheduleTimer("CheckHelpLoaded", 1)
 end
end



--[[
      INITIALIZATION -----------------------------------------------------------------------------------------------------------
  ]]

function HitsMode5:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("HitsMode5", options)
	self.optionsFrame = LibStub("AceConfigDialog-3.0"):AddToBlizOptions("HitsMode5", "HitsMode5")
	self:RegisterChatCommand("hitsmode", "ChatCommand")
	self:RegisterChatCommand("hm", "ChatCommand")
end


function HitsMode5:OnEnable()
--[===[@debug@
	self:Print(L["Loaded"])
--@end-debug@]===]
end


function HitsMode5:OnDisable()
end


function HitsMode5:ChatCommand(input)
	if not input or input:trim() == "" then
		InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
	else
		LibStub("AceConfigCmd-3.0").HandleCommand(HitsMode5, "hm", "HitsMode5", input)
	end
end


